Bug 838697 - connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Python.AttributeError: Traceback (most recent call last):
connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Python.At...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
17
i386 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 16:11 EDT by Clement
Modified: 2013-08-01 01:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:48:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clement 2012-07-09 16:11:32 EDT
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/system-config-samba
comment:        add samba user
executable:     /usr/bin/system-config-samba
kernel:         3.4.4-3.fc17.i686.PAE
reason:         connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Python.AttributeError: Traceback (most recent call last):
uid:            1000
username:       experthero

backtrace:


connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Python.AttributeError: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/slip/dbus/service.py", line 123, in reply_handler
    result = method(self, *p, **k)
  File "/usr/lib/python2.7/site-packages/scsamba/dbus/service/sambaBackend.py", line 103, in userExists
    return self.backend.userExists(user)
  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaBackend.py", line 265, in userExists
    for line in self.samba_users_file:
AttributeError: 'SambaBackend' object has no attribute 'samba_users_file'


Traceback (most recent call last):
  File "/usr/share/system-config-samba/addUserWin.py", line 184, in on_add_user_ok_button_clicked
    elif self.samba_backend.userExists(unix_name):
  File "<string>", line 2, in userExists
  File "/usr/lib/python2.7/site-packages/slip/dbus/polkit.py", line 141, in _enable_proxy
    return func(*p, **k)
  File "/usr/lib/python2.7/site-packages/scsamba/dbus/proxy/sambaBackend.py", line 97, in userExists
    return self.dbus_interface.userExists(user)
  File "/usr/lib/python2.7/site-packages/slip/dbus/proxies.py", line 50, in __call__
    return dbus.proxies._ProxyMethod.__call__(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Python.AttributeError: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/slip/dbus/service.py", line 123, in reply_handler
    result = method(self, *p, **k)
  File "/usr/lib/python2.7/site-packages/scsamba/dbus/service/sambaBackend.py", line 103, in userExists
    return self.backend.userExists(user)
  File "/usr/lib/python2.7/site-packages/scsamba/core/sambaBackend.py", line 265, in userExists
    for line in self.samba_users_file:
AttributeError: 'SambaBackend' object has no attribute 'samba_users_file'


Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0xa29becc>
args: ('experthero',)
utf8_strings: False
bus_name: dbus.UTF8String(':1.104')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
object_path: '/org/fedoraproject/Config/Samba/Backend'
timeout: 2147483.647
signature: u's'
dbus_interface: 'org.fedoraproject.Config.Samba.Backend'
message: <dbus.lowlevel.MethodCallMessage object at 0xa0667c0>
method: 'userExists'
Comment 1 Fedora End Of Life 2013-07-03 21:25:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 01:48:22 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.